Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-19992

Upgrade bytebuddy that can support Java 21

    XMLWordPrintableJSON

Details

    • Dependency upgrade
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • None
    • 4.2.0
    • build system
    • None
    • Unknown

    Description

      Caused by: java.lang.IllegalArgumentException: Java 21 (65) is not supported by the current version of Byte Buddy which officially supports Java 20 (64) - update Byte Buddy or set net.bytebuddy.experimental as a VM property
      at net.bytebuddy.utility.OpenedClassReader.of(OpenedClassReader.java:96)

      [INFO] +- org.assertj:assertj-core:jar:3.24.2:test
      [INFO] | - net.bytebuddy:byte-buddy:jar:1.12.21:test

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              davsclaus Claus Ibsen
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: